Game.Scavengereye = true --enables mod referencing
-------------------------------------------------------------------------------------------
function OnModGameStart_Scavengereye()
NewCreatureType("SCAVENGER_EYE")
NewCreatureType("SCAVENGER_NERVE")
AddCreatureToPool("SCAVENGER_EYE",PLAYER0.max_creatures/5)
CreatureAvailable("ALL_PLAYERS","SCAVENGER_EYE",true,0)
CreatureAvailable("ALL_PLAYERS","SCAVENGER_NERVE",false,0)
end
-------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------
function Scavenger_eye_popeye_projectile(Shot)
CreateEffectAtCoords("SCAVENGER_EYE_POPEYE_SPARKLE_EFFECTELEMENT",Shot.pos.val_x,Shot.pos.val_y,Shot.pos.val_z)
CreateEffectAtCoords("SCAVENGER_EYE_POPEYE_GLOW_EFFECTELEMENT",Shot.pos.val_x,Shot.pos.val_y,Shot.pos.val_z)
end
-------------------------------------------------------------------------------------------
function Scavenger_eye_popeye_impact(Shot)
CreateEffectAtCoords("SCAVENGER_EYE_POPEYE_FLASH_EFFECTELEMENT",Shot.pos.val_x,Shot.pos.val_y,Shot.pos.val_z)
end